{% extends "users/base.html" %}
{% load crispy_forms_tags %}
{% block title %}Document List{% endblock %}
{% block body %}
<br>
<div class="row">
  <div class="col-sm-6">
    <div class="card">
      <div class="card-body">
        <h5 class="card-title">Total Document Number</h5>
        <p class="card-text">Total document number is {{num_post}} so far.</p>
<!--        <a href="#" class="btn btn-primary">Go somewhere</a>-->


      </div>
    </div>
  </div>
  <div class="col-sm-6">
    <div class="card">
      <div class="card-body">
        <h5 class="card-title">Search with Tag?</h5>
        <p class="card-text"></p>
        <a href="{% url 'tag_result'  category='Art'  %}" class="btn btn-primary">#Art</a>
        <a href="{% url 'tag_result'  category='Scene'  %}" class="btn btn-primary">#Scene</a>
        <a href="{% url 'tag_result'  category='Political'  %}" class="btn btn-primary">#Political</a>
        <a href="{% url 'tag_result'  category='Scholar'  %}" class="btn btn-primary">#Scholar</a>
        <a href="{% url 'tag_result'  category='Child'  %}" class="btn btn-primary">#Child</a>
        <a href="{% url 'tag_result'  category='Philosophy'  %}" class="btn btn-primary">#Philosophy</a>
        <a href="{% url 'tag_result'  category='Religion'  %}" class="btn btn-primary">#Religion</a>
        <a href="{% url 'tag_result'  category='History'  %}" class="btn btn-primary">#History</a>
        <a href="{% url 'tag_result'  category='Chemistry'  %}" class="btn btn-primary">#Chemistry</a>

      </div>
    </div>
  </div>
</div>
<br>
<br>
<br>
<h2 align="center">All Documents</h2>
<form method="POST" class="form-group" style="margin-top: 5%;">
    <div class="container">

        <div class="align-left">

            <table class="table fa-border">
                <tr>
                    <th>Document Name</th>
                    <th>Category</th>
                    <th>Author</th>
                    <th>Upload Date</th>
                    <th>File</th>
                </tr>

                {% for i in documents %}
                <tr>
                    <td>{{ i.name }}</td>
                    <td>{{ i.category }}</td>
                    <td>{{ i.author }}</td>
                    <td>{{ i.upload_date }}</td>
                    <td>{{ i.file }}</td>
                    <td><a class="btn btn-secondary btn-sm" href="{% url 'detail' i.id %}">Detail</a></td>
                    <td><a class="btn btn-secondary btn-sm" href="{% url 'documentcomment' i.id %}">Comment</a></td>

                </tr>
                {% endfor %}
            </table>
        </div>
    </div>
</form>


{% endblock body %}




















